<?php
chdir("../../");
include_once("./include/auth.php");
include_once("./include/top_graph_header.php");
include_once("./plugins/gpsmap/includes/setup/show.php");
$body = "";

//decide what needs to be shown
switch ($show) {
//selected nodes	
	case 'setup':
		$body = "Please make sure to properly configure GPS Map first under settings -> gpsmap";
		break;
//this is meant to select all those in certain IP ranges.  
//In our case our different IP regions		
	case 'region':
		includeInitials();
		include_once("./plugins/gpsmap/includes/setup/gpsmapinitial.php");
		if (!$iplevel) {
			$iplevel = 1;
		}
		if (!$parameter) {
			$parameter = ""; 
		}
		callRegion($parameter,$iplevel);
		break;
//show all nodes		
	default:
		includeInitials();
		include_once("./plugins/gpsmap/includes/setup/gpsmapinitial.php");
		$body .= '<div style="font-size:12px; background-color:#cccccc; width:100%; height:14px;"><a href="./gpsmap.php?show=region">Subnet Traversal</a></div>';
		callShowAll();
		break;
}
function includeInitials(){	
	include_once("./plugins/gpsmap/includes/functions.php");
	include_once("./plugins/gpsmap/class/hosts_class.php");

}
    
//---------------------------------------------------------------

if ($show != 'setup'){?>                                           
<script src="http://maps.google.com/maps?file=api&v=2&key=<?php echo($apiKey) ?>" type="text/javascript"></script>

<script src="http://www.google.com/uds/api?file=uds.js&amp;v=1.0" type="text/javascript"></script>
<script src="http://www.google.com/uds/solutions/localsearch/gmlocalsearch.js" type="text/javascript"></script>
<style type="text/css">
 @import url("http://www.google.com/uds/css/gsearch.css");
 @import url("http://www.google.com/uds/solutions/localsearch/gmlocalsearch.css");
 </style>

<script type="text/javascript" src="./js/GPSMaps.js"></script>
<script type="text/javascript">

<?php include_once("plugins/gpsmap/includes/icons.php"); ?>
<?php include_once("plugins/gpsmap/includes/customicons.php"); ?>
var refreshMap = "<?php echo($refreshMap) ?>";
window.onload = loader;
window.onresize= resize;
window.onunload = GUnload;

//---------------------------------------------------------------
function gload(){
//This is all standard stuff from the google API
//need to get some variables first before things get rolling to much
var liColor = "<?php echo($liColor) ?>";
var liWidth = "<?php echo($liWidth) ?>";
var liOpa = "<?php echo($liOpa) ?>";
var fillColor = "<?php echo($fillColor) ?>";
var fillOpa = "<?php echo($fillOpa) ?>";
var t_error = parseFloat("<?php echo($terror) ?>");
var circleQuality = "<?php echo($circleQuality) ?>";
var enableWeather = "<?php echo($enableWeather) ?>";
var radiusArray = []; 
var groupArray = [];

if (GBrowserIsCompatible()) {
	map = new GMap2(document.getElementById("map"));
	map.setCenter(new GLatLng(<?php echo($initialLat) ?>, <?php echo($initialLong) ?>), <?php echo($initialzoom) ?>);
 	map.setUIToDefault();

map.addControl(new google.maps.LocalSearch(), new GControlPosition(G_ANCHOR_BOTTOM_RIGHT, new GSize(10,20)));

	//set to our XML path
	GDownloadUrl("./XML/gpsXML.xml", function(data) {
          var xml = GXml.parse(data);
          var markers = xml.documentElement.getElementsByTagName("marker");
          for (var i = 0; i < markers.length; i++) {
            var id = markers[i].getAttribute("id");
            var name = markers[i].getAttribute("name");
            var address = markers[i].getAttribute("address");
            var templateid = markers[i].getAttribute("templateId");
            var type = markers[i].getAttribute("type");
	    var availability = markers[i].getAttribute("availability");
	    var status = markers[i].getAttribute("status");
            var latency = markers[i].getAttribute("latency");
            var start = parseInt(markers[i].getAttribute("start"));
            var stop = parseInt(markers[i].getAttribute("stop"));
            var group = parseInt(markers[i].getAttribute("group"));
            var point = new GLatLng(parseFloat(markers[i].getAttribute("lat")),parseFloat(markers[i].getAttribute("lng")));
            var html = "<b><a href=\"../../graph_view.php?action=preview&host_id="+ id +"\">" + name + "</a></b> <br/>" + address + "<br/> Avalability: " + availability + "<br/> Type: " + type + "<br/> Latency: " + latency;
            var marker = createMarker(id, templateid, point, name, status, html, t_error);
	    markerArray.push(marker);
	    markerArray[i].html = html;
            map.addOverlay(marker);

	    //if radius is set, we need to draw a circle.
	    if(markers[i].getAttribute("radius")>0){
	    	   if(!radiusArray[point]){
	    	   	   if(stop-start == 360){
	    	   	   	   radiusArray[point]=1;
	    	   	   }
	    	    	    map.addOverlay(drawCircle(point,markers[i].getAttribute("radius"),circleQuality,liColor,liWidth,liOpa,fillColor,fillOpa,start,stop));
	    	   }
	    }
          }
	});
	//if(enableWeather != 0){
	//	weather(enableWeather);
	//}
      }
    }

GSearch.setOnLoadCallback(LoadMapSearch);

</script>
</head> 

<?php
}
$body .= "</script><div id=\"map\" style=\"height:10px;\"></div>";
echo $body;

?>
